MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
QueuePrint.hxx File Reference
`#include <stdint.h>`
Include dependency graph for QueuePrint.hxx:

Go to the source code of this file.

## Functions
void | queue_print_info (Response &r, Partition &partition, const Queue &queue, unsigned start, unsigned end)
void | queue_print_uris (Response &r, Partition &partition, const Queue &queue, unsigned start, unsigned end)
void | queue_print_changes_info (Response &r, Partition &partition, const Queue &queue, uint32_t version, unsigned start, unsigned end)
void | queue_print_changes_position (Response &r, const Queue &queue, uint32_t version, unsigned start, unsigned end)
void | queue_find (Response &response, Partition &partition, const Queue &queue, const SongFilter &filter)

## Function Documentation

void queue_find | ( | Response & | response,
|  | Partition & | partition,
|  | const Queue & | queue,
|  | const SongFilter & | filter
| ) |  |

void queue_print_changes_info | ( | Response & | r,
|  | Partition & | partition,
|  | const Queue & | queue,
|  | uint32_t | version,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

void queue_print_changes_position | ( | Response & | r,
|  | const Queue & | queue,
|  | uint32_t | version,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

void queue_print_info | ( | Response & | r,
|  | Partition & | partition,
|  | const Queue & | queue,
|  | unsigned | start,
|  | unsigned | end
| ) |  |

void queue_print_uris | ( | Response & | r,
|  | Partition & | partition,
|  | const Queue & | queue,
|  | unsigned | start,
|  | unsigned | end
| ) |  |